<?xml version="1.0" encoding="utf-8"?>
<androidx.constraintlayout.widget.ConstraintLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    android:background="@color/background_white">

    <androidx.constraintlayout.widget.ConstraintLayout
        android:id="@+id/filterContainer"
        android:layout_width="match_parent"
        android:layout_height="44dp"
        android:paddingStart="16dp"
        android:paddingEnd="16dp"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toTopOf="parent">

        <RadioGroup
            android:id="@+id/filterGroup"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:orientation="horizontal"
            app:layout_constraintBottom_toBottomOf="parent"
            app:layout_constraintStart_toStartOf="parent"
            app:layout_constraintTop_toTopOf="parent">

            <RadioButton
                android:id="@+id/recommendRb"
                android:layout_width="48dp"
                android:layout_height="28dp"
                android:background="@drawable/game_server_test_rg_button_selector"
                android:button="@null"
                android:checked="true"
                android:gravity="center"
                android:text="推荐"
                android:textColor="@color/game_server_test_rg_button_selector"
                android:textSize="12sp" />

            <RadioButton
                android:id="@+id/allRb"
                android:layout_width="48dp"
                android:layout_height="28dp"
                android:layout_marginStart="8dp"
                android:background="@drawable/game_server_test_rg_button_selector"
                android:button="@null"
                android:checked="false"
                android:gravity="center"
                android:text="全部"
                android:textColor="@color/game_server_test_rg_button_selector"
                android:textSize="12sp" />
        </RadioGroup>

        <androidx.constraintlayout.widget.ConstraintLayout
            android:id="@+id/categoryContainer"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:orientation="horizontal"
            app:layout_constraintBottom_toBottomOf="parent"
            app:layout_constraintEnd_toEndOf="parent"
            app:layout_constraintTop_toTopOf="parent">

            <CheckedTextView
                android:id="@+id/categoryTv"
                android:layout_width="wrap_content"
                android:layout_height="28dp"
                android:layout_marginEnd="4dp"
                android:gravity="center_vertical"
                android:includeFontPadding="false"
                android:text="游戏类型"
                android:textColor="@color/text_subtitleDesc"
                android:textSize="12sp"
                app:layout_constraintBottom_toBottomOf="parent"
                app:layout_constraintEnd_toStartOf="@+id/arrowIv"
                app:layout_constraintTop_toTopOf="parent" />

            <ImageView
                android:id="@+id/arrowIv"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:rotation="180"
                app:layout_constraintBottom_toBottomOf="parent"
                app:layout_constraintEnd_toEndOf="parent"
                app:layout_constraintTop_toTopOf="parent"
                app:srcCompat="@drawable/ic_filter_arrow" />

        </androidx.constraintlayout.widget.ConstraintLayout>

    </androidx.constraintlayout.widget.ConstraintLayout>

    <com.gh.gamecenter.common.view.LineAxisFilterView
        android:id="@+id/filterView"
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:layout_marginTop="6dp"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toBottomOf="@+id/filterContainer" />

    <FrameLayout
        android:id="@+id/contentContainer"
        android:layout_width="0dp"
        android:layout_height="0dp"
        app:layout_constraintBottom_toBottomOf="parent"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toBottomOf="@+id/filterView" />

</androidx.constraintlayout.widget.ConstraintLayout>